Bug 112614 - Search through all labels in the Customize dialog
Summary: Search through all labels in the Customize dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2017-09-24 12:59 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-12-13 18:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-09-24 12:59:57 UTC
With the work done in revamping the customization dialog (bug 88896), a new search feature was added but unfortunately it doesnt function as well as it should.

1. it does not search through all labels of a command, as the .uno:SaveAsRemote command has the 'ContextLabel' label 'Sa~ve Remote File...' which is displayed in the File menu, but wont appear when searching for 'save remote file'. See the 'Technical note about search terms' heading in the google doc[1].

2. search should not look for an exact string, but instead should show results that have all keywords, as searching for 'curve filled' shows nothing as the label of the command is 'curve, filled', and searching for 'align bottom' will also result in the command labelled 'align to bottom of character'.

[1] https://docs.google.com/document/d/1IPXkYMmyXQzoVUdMpnBeoQdf-LNp5_oNaqfW6OFhxqA/edit?usp=sharing
Comment 1 Commit Notification 2018-11-01 07:36:04 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e9b06dd9458074af36b0fc97ff41ed4c79e5de32%5E%21

tdf#112614: Include all labels in the search in Customize dialog

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Xisco Faulí 2018-12-03 13:38:57 UTC
A polite ping to Muhammet Kara:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 3 Muhammet Kara 2018-12-13 18:53:10 UTC
(In reply to Xisco Faulí from comment #2)
> A polite ping to Muhammet Kara:
> Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> Otherwise, Could you please explain what's missing?
> Thanks

First item is resolved. Let's separate the second one, and handle in bug 122082